• Home
  • History
  • Annotate
  • Raw
  • Download
  • only in /netgear-WNDR4500-V1.0.1.40_1.0.68/ap/gpl/minidlna/libid3tag-0.15.0b/

Lines Matching refs:echo

27 # Check that we have a working $echo.
31 elif test "X$1" = X--fallback-echo; then
34 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
35 # Yippee, $echo works!
38 # Restart under the correct shell, and then maybe $echo will work.
42 if test "X$1" = X--fallback-echo; then
43 # used as fallback echo
52 progname=`$echo "$0" | ${SED} 's%^.*/%%'`
73 case `echo A|od -x` in
100 echo "$modename: not configured to build any kind of library" 1>&2
101 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
111 show="$echo"
124 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
151 echo "$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP"
161 echo "$progname: enabling shell trace mode"
170 echo "host: $host"
172 echo "enable shared libraries"
174 echo "disable shared libraries"
177 echo "enable static libraries"
179 echo "disable static libraries"
201 $echo "$modename: unrecognized option \`$arg'" 1>&2
202 $echo "$help" 1>&2
214 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
215 $echo "$help" 1>&2
257 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
259 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
268 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
269 $echo "$help" 1>&2
297 lastarg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
322 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
349 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
366 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
401 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
425 libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
428 $echo "$modename: you must specify a target with \`-o'" 1>&2
449 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
452 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
454 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
460 $echo "$modename: you must specify a compilation command" 1>&2
461 $echo "$help" 1>&2
489 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
507 echo "\
521 echo $srcfile > "$lockfile"
542 dir=`$echo "X$libobj" | $Xsed -e 's%/[^/]*$%%'`
548 libobj="$dir/"`$echo "X$libobj" | $Xsed -e 's%^.*/%%'`
580 echo "\
626 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
632 baseobj=`$echo "X$obj" | $Xsed -e "s%.*/%%"`
633 libobj=`$echo "X$baseobj" | $Xsed -e "$o2lo"`
679 echo "\
711 $show "echo timestamp > $libobj"
712 $run eval "echo timestamp > \$libobj" || exit $?
805 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
832 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
891 $echo "$modename: symbol file \`$arg' does not exist"
917 $echo "$modename: only absolute run-paths are allowed" 1>&2
971 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
997 $echo "$modename: more than one -exported-symbols argument is not allowed"
1026 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1033 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1100 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
1101 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
1132 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1137 $echo "$modename: only absolute run-paths are allowed" 1>&2
1168 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
1182 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1186 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
1201 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1218 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1242 dlprefiles="$dlprefiles "`$echo "X$arg" | $Xsed -e "$lo2o"`
1280 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1297 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
1298 $echo "$help" 1>&2
1309 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
1314 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
1321 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
1340 $echo "$modename: you must specify an output file" 1>&2
1341 $echo "$help" 1>&2
1375 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
1411 $echo "$modename: warning: \`-l' is ignored for archives/objects: $deplib" 1>&2
1418 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
1445 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
1454 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
1461 $echo "$modename: warning: \`-L' is ignored for archives/objects: $deplib" 1>&2
1468 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
1487 echo
1488 echo "*** Warning: Trying to link with static lib archive $deplib."
1489 echo "*** I have the capability to make that library automatically link in when"
1490 echo "*** you link to this library. But I can only do this if you have a"
1491 echo "*** shared version of the library, which you do not appear to have"
1492 echo "*** because the file extensions .$libext of this argument makes me believe"
1493 echo "*** that it is just a static archive that I should not used here."
1495 echo
1496 echo "*** Warning: Linking the shared library $output against the"
1497 echo "*** static library $deplib is not portable!"
1532 $echo "$modename: cannot find the library \`$lib'" 1>&2
1539 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
1543 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
1575 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
1592 $echo "$modename: \`$lib' is not a convenience library" 1>&2
1604 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
1611 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
1630 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
1631 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
1636 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
1641 $echo "$modename: warning: library \`$lib' was moved." 1>&2
1655 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
1660 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
1701 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
1780 libname=`eval \\$echo \"$libname_spec\"`
1799 soname=`echo $soroot | ${SED} -e 's/^.*\///'`
1800 newlib="libimp-`echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
1880 $echo "$modename: configuration error: unsupported hardcode properties"
1974 echo
1975 echo "*** Warning: This system can not link to static lib archive $lib."
1976 echo "*** I have the capability to make that library automatically link in when"
1977 echo "*** you link to this library. But I can only do this if you have a"
1978 echo "*** shared version of the library, which you do not appear to have."
1980 echo "*** But as you try to build a module library, libtool will still create "
1981 echo "*** a static module, that should work as long as the dlopening application"
1982 echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
1984 echo
1985 echo "*** However, this would only work if libtool was able to extract symbol"
1986 echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
1987 echo "*** not find such a program. So, this module is probably useless."
1988 echo "*** \`nm' from GNU binutils and a full rebuild may help."
2013 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
2045 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
2053 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
2063 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
2067 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
2156 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
2160 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
2164 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
2168 $echo "$modename: warning: \`-version-info' is ignored for archives" 1>&2
2172 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
2176 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
2189 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2194 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
2195 $echo "$help" 1>&2
2200 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
2203 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
2210 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
2213 echo
2214 echo "*** Warning: Linking the shared library $output against the non-libtool"
2215 echo "*** objects $objs is not portable!"
2221 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
2226 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
2241 $echo "$modename: warning: \`-version-info' is ignored for convenience libraries" 1>&2
2245 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
2255 $echo "$modename: too many parameters to \`-version-info'" 1>&2
2256 $echo "$help" 1>&2
2268 $echo "$modename: CURRENT \`$current' is not a nonnegative integer" 1>&2
2269 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
2277 $echo "$modename: REVISION \`$revision' is not a nonnegative integer" 1>&2
2278 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
2286 $echo "$modename: AGE \`$age' is not a nonnegative integer" 1>&2
2287 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
2293 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
2294 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
2382 $echo "$modename: unknown library version type \`$version_type'" 1>&2
2383 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
2419 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
2440 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
2445 lib_search_path=`echo "$lib_search_path " | ${SED} -e 's% $path % %g'`
2446 deplibs=`echo "$deplibs " | ${SED} -e 's% -L$path % %g'`
2447 dependency_libs=`echo "$dependency_libs " | ${SED} -e 's% -L$path % %g'`
2550 libname=`eval \\$echo \"$libname_spec\"`
2551 deplib_matches=`eval \\$echo \"$library_names_spec\"`
2558 echo
2559 echo "*** Warning: dynamic linker does not accept needed library $i."
2560 echo "*** I have the capability to make that library automatically link in when"
2561 echo "*** you link to this library. But I can only do this if you have a"
2562 echo "*** shared version of the library, which I believe you do not have"
2563 echo "*** because a test_compile did reveal that the linker did not use it for"
2564 echo "*** its dynamic dependency list that programs get resolved with at runtime."
2582 libname=`eval \\$echo \"$libname_spec\"`
2583 deplib_matches=`eval \\$echo \"$library_names_spec\"`
2590 echo
2591 echo "*** Warning: dynamic linker does not accept needed library $i."
2592 echo "*** I have the capability to make that library automatically link in when"
2593 echo "*** you link to this library. But I can only do this if you have a"
2594 echo "*** shared version of the library, which you do not appear to have"
2595 echo "*** because a test_compile did reveal that the linker did not use this one"
2596 echo "*** as a dynamic dependency that programs can get resolved with at runtime."
2600 echo
2601 echo "*** Warning! Library $i is needed by this library but I was not able to"
2602 echo "*** make it link in! You will probably need to install it or some"
2603 echo "*** library that it depends on before this library will be fully"
2604 echo "*** functional. Installing it before continuing would be even better."
2619 libname=`eval \\$echo \"$libname_spec\"`
2638 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
2652 echo
2653 echo "*** Warning: linker path does not have real file for library $a_deplib."
2654 echo "*** I have the capability to make that library automatically link in when"
2655 echo "*** you link to this library. But I can only do this if you have a"
2656 echo "*** shared version of the library, which you do not appear to have"
2657 echo "*** because I did check the linker path looking for a file starting"
2659 echo "*** with $libname but no candidates were found. (...for file magic test)"
2661 echo "*** with $libname and none of the candidates passed a file format test"
2662 echo "*** using a file magic. Last file checked: $potlib"
2678 libname=`eval \\$echo \"$libname_spec\"`
2683 if eval echo \"$potent_lib\" 2>/dev/null \
2694 echo
2695 echo "*** Warning: linker path does not have real file for library $a_deplib."
2696 echo "*** I have the capability to make that library automatically link in when"
2697 echo "*** you link to this library. But I can only do this if you have a"
2698 echo "*** shared version of the library, which you do not appear to have"
2699 echo "*** because I did check the linker path looking for a file starting"
2701 echo "*** with $libname but no candidates were found. (...for regex pattern test)"
2703 echo "*** with $libname and none of the candidates passed a file format test"
2704 echo "*** using a regex pattern. Last file checked: $potlib"
2715 if $echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
2718 echo
2720 echo "*** Warning: inter-library dependencies are not supported in this platform."
2722 echo "*** Warning: inter-library dependencies are not known to be supported."
2724 echo "*** All declared inter-library dependencies are being dropped."
2738 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
2744 echo
2745 echo "*** Warning: libtool could not satisfy all declared inter-library"
2746 echo "*** dependencies of module $libname. Therefore, libtool will create"
2747 echo "*** a static module, that should work as long as the dlopening"
2748 echo "*** application is linked with the -dlopen flag."
2750 echo
2751 echo "*** However, this would only work if libtool was able to extract symbol"
2752 echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
2753 echo "*** not find such a program. So, this module is probably useless."
2754 echo "*** \`nm' from GNU binutils and a full rebuild may help."
2764 echo "*** The inter-library dependencies that have been dropped here will be"
2765 echo "*** automatically added whenever a program is linked with this library"
2766 echo "*** or is declared to -dlopen it."
2769 echo
2770 echo "*** Since this library must not contain undefined symbols,"
2771 echo "*** because either the platform does not support them or"
2772 echo "*** it was explicitly requested with -no-undefined,"
2773 echo "*** libtool will only create a static version of it."
2872 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
2878 baseobj=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
2879 oldobj=`$echo "X$baseobj" | $Xsed -e "$lo2o"`
2887 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
2913 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
2937 xlib=`$echo "X$xlib" | $Xsed -e 's%^.*/%%'`
3015 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
3019 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
3023 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
3027 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
3031 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
3035 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
3041 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
3045 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
3087 xlib=`$echo "X$xlib" | $Xsed -e 's%^.*/%%'`
3107 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
3137 $show "echo timestamp > $libobj"
3138 $run eval "echo timestamp > $libobj" || exit $?
3158 xdir=`$echo "X$libobj" | $Xsed -e 's%/[^/]*$%%'`
3164 baseobj=`$echo "X$libobj" | $Xsed -e 's%^.*/%%'`
3165 oldobj=`$echo "X$baseobj" | $Xsed -e "$lo2o"`
3180 *cygwin*) output=`echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
3183 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
3187 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
3193 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
3200 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
3201 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
3309 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
3310 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
3318 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
3335 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
3352 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
3355 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
3385 name=`echo "$arg" | ${SED} -e 's%^.*/%%'`
3386 $run eval 'echo ": $name " >> "$nlist"'
3415 echo '/* NONE */' >> "$output_objdir/$dlsyms"
3418 $echo >> "$output_objdir/$dlsyms" "\
3440 $echo >> "$output_objdir/$dlsyms" "\
3485 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
3486 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
3489 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
3499 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
3500 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
3505 compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
3572 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
3586 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
3587 $echo "$modename: \`$output' will be relinked during installation" 1>&2
3592 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g'`
3604 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
3624 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
3629 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
3632 # Quote $echo for shipping.
3633 if test "X$echo" = "X$SHELL $0 --fallback-echo"; then
3635 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $0 --fallback-echo";;
3636 *) qecho="$SHELL `pwd`/$0 --fallback-echo";;
3638 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
3640 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
3648 *.exe) output=`echo $output|${SED} 's,.exe$,,'` ;;
3658 $echo > $output "\
3686 # When we are sourced in execute mode, \$file and \$echo are already set.
3688 echo=\"$qecho\"
3690 # Make sure echo works.
3694 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
3695 # Yippee, \$echo works!
3698 # Restart under the correct shell, and then maybe \$echo will work.
3703 $echo >> $output "\
3706 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
3712 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
3722 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
3732 echo >> $output "\
3748 echo >> $output "\
3754 $echo \"\$relink_command_output\" >&2
3766 echo >> $output "\
3772 echo >> $output "\
3778 $echo >> $output "\
3784 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
3792 $echo >> $output "\
3798 $echo >> $output "\
3806 $echo >> $output "\
3813 $echo >> $output "\
3819 $echo >> $output "\
3828 $echo >> $output "\
3829 \$echo \"\$0: cannot exec \$program \${1+\"\$@\"}\"
3834 \$echo \"\$0: error: \$progdir/\$program does not exist\" 1>&2
3835 \$echo \"This script is just a wrapper for \$program.\" 1>&2
3836 echo \"See the $PACKAGE documentation for more information.\" 1>&2
3859 oldobjs="$objs$old_deplibs "`$echo "X$libobjs_save" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`
3883 xlib=`$echo "X$xlib" | $Xsed -e 's%^.*/%%'`
3910 xdir=`$echo "X$oldobj" | $Xsed -e 's%/[^/]*$%%'`
3916 baseobj=`$echo "X$oldobj" | $Xsed -e 's%^.*/%%'`
3917 obj=`$echo "X$baseobj" | $Xsed -e "$o2lo"`
3953 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
3959 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
3974 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
3977 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
3988 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
3991 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
3999 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
4002 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
4015 $echo > $output "\
4049 $echo >> $output "\
4072 $echo "X$nonopt" | $Xsed | grep shtool > /dev/null; then
4074 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
4090 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
4138 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
4148 $echo "$modename: you must specify an install program" 1>&2
4149 $echo "$help" 1>&2
4154 $echo "$modename: the \`$prev' option requires an argument" 1>&2
4155 $echo "$help" 1>&2
4161 $echo "$modename: no file or destination specified" 1>&2
4163 $echo "$modename: you must specify a destination" 1>&2
4165 $echo "$help" 1>&2
4170 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
4178 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
4180 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
4185 $echo "$modename: \`$dest' is not a directory" 1>&2
4186 $echo "$help" 1>&2
4197 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
4198 $echo "$help" 1>&2
4226 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
4227 $echo "$help" 1>&2
4254 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
4260 inst_prefix_dir=`$echo "$destdir" | sed "s%$libdir\$%%"`
4266 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
4272 relink_command=`$echo "$relink_command" | sed "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%"`
4274 relink_command=`$echo "$relink_command" | sed "s%@inst_prefix_dir@%%"`
4277 $echo "$modename: warning: relinking \`$file'" 1>&2
4281 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
4328 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
4344 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
4351 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
4358 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
4359 $echo "$help" 1>&2
4373 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
4386 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
4393 wrapper=`echo $file | ${SED} -e 's,.exe$,,'`
4411 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
4426 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
4428 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
4448 $echo "$modename: error: cannot create temporary directory \`$tmpdir'" 1>&2
4451 file=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
4454 relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
4459 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
4465 $echo "$modename: warning: cannot relink \`$file'" 1>&2
4469 file=`$echo "X$file" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
4485 destfile=`echo $destfile | ${SED} -e 's,.exe$,,'`
4498 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
4523 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
4572 echo "----------------------------------------------------------------------"
4573 echo "Libraries have been installed in:"
4575 echo " $libdir"
4577 echo
4578 echo "If you ever happen to want to link against installed libraries"
4579 echo "in a given directory, LIBDIR, you must either use libtool, and"
4580 echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
4581 echo "flag during linking and do at least one of the following:"
4583 echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
4584 echo " during execution"
4587 echo " - add LIBDIR to the \`$runpath_var' environment variable"
4588 echo " during linking"
4594 echo " - use the \`$flag' linker flag"
4597 echo " - have your system administrator run these commands:$admincmds"
4600 echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
4602 echo
4603 echo "See any operating system documentation about shared libraries for"
4604 echo "more information, such as the ld(1) and ld.so(8) manual pages."
4605 echo "----------------------------------------------------------------------"
4616 $echo "$modename: you must specify a COMMAND" 1>&2
4617 $echo "$help"
4624 $echo "$modename: \`$file' is not a file" 1>&2
4625 $echo "$help" 1>&2
4635 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
4636 $echo "$help" 1>&2
4653 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
4657 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
4663 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
4670 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
4675 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
4717 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
4740 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
4741 $echo "export $shlibpath_var"
4743 $echo "$cmd$args"
4770 $echo "$modename: you must specify an RM program" 1>&2
4771 $echo "$help" 1>&2
4778 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
4785 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
4860 oldobj=`$echo "X$name" | $Xsed -e "$lo2o"`
4895 $echo "$modename: you must specify a MODE" 1>&2
4896 $echo "$generic_help" 1>&2
4902 $echo "$modename: invalid operation mode \`$mode'" 1>&2
4903 $echo "$generic_help" 1>&2
4915 "") $echo \
4947 $echo \
4961 $echo \
4982 $echo \
5002 $echo \
5014 $echo \
5027 $echo \
5079 $echo \
5093 $echo "$modename: invalid operation mode \`$mode'" 1>&2
5094 $echo "$help" 1>&2
5099 echo
5100 $echo "Try \`$modename --help' for more information about other modes."